Subject: Re: g++ compilation errors ...
From: [email-masked] (Earnie Boyd)

21 Nov 1998 21:06:38 -0800
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: mxs <[email-masked]>
Cc: cygwin users <[email-masked]>

The bug is in your code.  This is off topic for this list.  Try an
example from some "I want to learn C/C++" type of book.  Or ask your
question on an appropriate list.

---mxs <[email-masked]> wrote:
>
> Hi ...
> 
> I just tried to write my first little program in c++ and encountered
the
> following :
> 
> The code looks like this :
> ///
> void main ()
> 
> #include <sys/types.h>
> #include <dirent.h>
> 
> 
> {
>   return 0;
> }
> ///
> 
> compilation with g++ gizmo.cc gives me the following error messages :
> 
> ///
> BASH.EXE-2.02$ c++ gizmo.cc
>
C:\\CYGNUS\\CYGWIN~1\\H-I586~1\\BIN\\..\\lib\\gcc-lib\\i586-cygwin32\\egcs-2
> .91.
> 57\\..\\..\\..\\..\\i586-cygwin32\\include\\dirent.h: In function `int
> main(...)
> ':
> In file included from gizmo.cc:17:
>
C:\\CYGNUS\\CYGWIN~1\\H-I586~1\\BIN\\..\\lib\\gcc-lib\\i586-cygwin32\\egcs-2
> .91.
> 57\\..\\..\\..\\..\\i586-cygwin32\\include\\dirent.h:2: parse error
before
> strin
> g constant
> gizmo.cc:19: parse error before `{'
> gizmo.cc:21: confused by earlier errors, bailing out
> ///
> 
> I don't know whether I do something completely wrong, but it looks
like a
> bug to me (correct me if I'm wrong ;-)
> 
> 
> Greetings
>   mxs 
> -
> For help on using this list (especially unsubscribing), send a
message to
> "[email-masked]" with one line of text: "help".
> 

==
-                        \\||//
-------------------o0O0--Earnie--0O0o-------------------
--                [email-masked]               --
-- http://www.freeyellow.com/members5/gw32/index.html --
----------------------ooo0O--O0ooo----------------------

PS: Newbie's, you should visit my page.
_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".